
local MAX_TIME = 2 -- seconds. Feel free to remove this if you don't need it
local explosions = {} -- holds the list of explosions

-- Use this function for preparing your data, generating local images if you need to, create framebuffers, etc
function loadExplosions()
end

-- This function should draw all the explosions that are currently active
function drawExplosions()
  for _,explosion in ipairs(explosions) do
    love.graphics.print('BOUM!', explosion.x - 20, explosion.y - 6)
  end
end

-- This function should update all explosions - use it for updating the animation, controlling the time they are active, etc
function updateExplosions(dt)
  local explosion
  for i = #explosions,1,-1 do
    explosion = explosions[i]
    explosion.time = explosion.time + dt
    if explosion.time > MAX_TIME then
      table.remove(explosions, i)
    end
  end
end

-- This function will create a new explosion on coordinates x and y
function newExplosion(x,y)
  table.insert(explosions, {x=x,y=y,time=0})
end
